<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:p="http://primefaces.org/ui">




	<p:panel id="pdetails" header="choose one"
		visible="#{customerBean.displayForm}">
		<h:form id="formadd" rendered="#{customerBean.displayForm}">
			<h:panelGrid columns="2">

				<p:outputLabel value="name" />
				<p:inputText value="#{customerBean.product.name}" />
				<p:outputLabel value="Qunatite" />
				<p:inputText value="#{customerBean.quantity}" />
				<p:outputLabel value="date"></p:outputLabel>

				<p:inputText id="idate" value="#{customerBean.date}"
					converter="myDateTimeConverter" >
					<p:message for="idate"></p:message>
					</p:inputText>


			</h:panelGrid>
			<p:commandButton id="tsave" actionListener="#{customerBean.saveTr}"
				value="save" update=":pdetails :pmaster :trdetails">
				<p:message for="tsave" styleClass="error" />
			</p:commandButton>


		</h:form>
	</p:panel>


</ui:composition>
